# $Revision: 1.10 $, $Date: 2002/08/02 11:18:36 $
Summary:	libuta - a C++ multimedia framework
Summary(pl):	libuta - rodowisko multimedialne do C++
Name:		libuta
Version:	0.4.1
Release:	2
License:	LGPL
Group:		Libraries
Source0:	ftp://victor.worldforge.org/pub/worldforge/libs/libuta/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	smpeg-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	libpng-devel
BuildRequires:	freetype1-devel
BuildRequires:	libsigc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libuta is C++ library which provides a framework for creating
multimedia applications, especially games. It runs on top of SDL and
is available for Win32 and Linux/X11.

%description -l pl
libuta jest bibliotek C++ dajc rodowisko do tworzenia aplikacji
multimedialnych, zwaszcza gier. Opiera si na SDL i jest dostpna pod
Win32 i Linuksa/X11.

%package devel
Summary:	Header files for libuta development
Summary(pl):	Pliki nagwkowe do tworzenia programw z uyciem libuta
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	smpeg-devel
Requires:	SDL_mixer-devel
Requires:	libpng-devel
Requires:	freetype1-devel
Requires:	libsigc++-devel

%description devel
libuta is C++ library which provides a framework for creating
multimedia applications, especially games. It runs on top of SDL and
is available for Win32 and Linux/X11.

This package contains the header files needed to develop programs that
use these libuta.

%description -l pl
libuta jest bibliotek C++ dajc rodowisko do tworzenia aplikacji
multimedialnych, zwaszcza gier. Opiera si na SDL i jest dostpna pod
Win32 i Linuksa/X11.

Ten pakiet zawiera pliki nagwkowe potrzebne do tworzenia programw z
uyciem biblioteki libuta.

%package static
Summary:	Static libraries for libuta development
Summary(pl):	Statyczne biblioteki libuta
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
libuta is C++ library which provides a framework for creating
multimedia applications, especially games. It runs on top of SDL and
is available for Win32 and Linux/X11.

This package contains the static libuta.

%description static -l pl
libuta jest bibliotek C++ dajc rodowisko do tworzenia aplikacji
multimedialnych, zwaszcza gier. Opiera si na SDL i jest dostpna pod
Win32 i Linuksa/X11.

Ten pakiet zawiera statyczn bibliotek libuta.

%prep
%setup -q

%build
%{__libtoolize}
aclocal
autoheader
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/uta-config
%{_includedir}/uta
%attr(755,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_aclocaldir}/uta.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libuta.spec,v $
Revision 1.10  2002/08/02 11:18:36  trojan
- fixed descriptions
- release 2; STBR

Revision 1.9  2002/07/31 10:42:15  trojan
- updated to 0.4.1
- new %%doc
- removed BuildRequires: Atlas-C++-devel, varconf-devel, libvorbis-devel
  (also Requires from devel), added libsigc++-devel

Revision 1.8  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.7  2002/05/21 23:14:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/15 19:14:21  ankry
- BR: libvorbis-devel
- adapterized

Revision 1.2  2001/12/12 08:33:48  qboosh
- pl translations, use post/postun instead of soname symlink in package

Revision 1.1  2001/12/11 15:30:32  trojan
- initial release
